Update Lease: Buildium
PUT
https://api.propexo.com/v1/leases/buildium/:lease_id| Interface | Method |
|---|---|
| Leases | PUT /leases/:leaseId |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
lease_id stringrequired
The ID of the resource.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
unit_idstringrequired
The Propexo unique identifier for the unit
typestringrequired
The type associated with the lease
Show 3 enum values
FixedFixedWithRolloverAtWillstart_datestringrequired
The start date associated with the lease
Show 2 variants
end_datestring
The end date associated with the lease
Show 2 variants
is_eviction_pendingboolean
Whether the lease has an eviction pending
Default value:
falseautomatically_move_out_residentsboolean
Whether residents should be set to "past" status automatically at the expiration of the lease
Default value:
falseResponse
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
job_idstringrequired
result objectrequired
lease_idstringrequired
The Propexo unique identifier for the lease
unit_idstringrequired
The Propexo unique identifier for the unit
typestringrequired
The type associated with the lease
Show 3 enum values
FixedFixedWithRolloverAtWillstart_datestringrequired
The start date associated with the lease
Show 2 variants
end_datestring
The end date associated with the lease
Show 2 variants
is_eviction_pendingboolean
Default value:
falseautomatically_move_out_residentsboolean
Default value:
falseErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leases/buildium/:lease_id
curl -X PUT https://api.propexo.com/v1/leases/buildium/:lease_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"unit_id": "string",
"type": "Fixed",
"start_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"unit_id": "string",
"type": "Fixed",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"is_eviction_pending": false,
"automatically_move_out_residents": false
}
}